Bug 80069 - kernel is "leaking" memory
kernel is "leaking" memory
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
Blocks: 79579 CambridgeTarget
  Show dependency treegraph
Reported: 2002-12-19 10:34 EST by Manfred Hollstein
Modified: 2015-01-04 17:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-29 23:51:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Manfred Hollstein 2002-12-19 10:34:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021203

Description of problem:
I put kernel-2.4.20-1 (plus all required dependencies hwdata, kudzu,
mkinitrd, modutils) on my otherwise up2date 8.0 system, booted and
watched the swap space constantly growing... The funny thing is, that
it starts allocating swap even when plenty of RAM is still free.
Right after booting and after logging in using Gnome, free shows 24MB
swap already being allocated with appr. 420MB free RAM left (the system
has 512MB RAM). One can then fire up top and sit there watching
allocated swap growing and growing :-(

FWIW, using a vanilla 2.4.20 plus Alan's ac2 patch does not show
this behaviour.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install listed RPMs
2.Boot system
3.Watch memory data reported by the "free" program (or use "top")

Actual Results:  Allocated swap space is constantly growing, even when nothing
is actively running on the system.

Expected Results:  No swap space should be allocated, in other words memory
usage should remain constant if nothing is running on the system.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.